document.addEventListener('DOMContentLoaded', function () {
    const targetDate = new Date('2025-06-30T00:00:00').getTime(); // Set your target date here
    const loadingBar = document.getElementById('loading-bar');
    const dateDisplay = document.getElementById('date-display');

    function updateLoadingBar() {
        const now = new Date().getTime();
        const distance = targetDate - now;
        const progress = Math.max(0, Math.min(100, ((now - new Date('2025-05-05T00:00:00').getTime()) / (targetDate - new Date('2025-05-05T00:00:00').getTime())) * 100));

        loadingBar.innerHTML = `<div style="width:${progress}%">${progress.toFixed(10)}%</div>`;

        const days = Math.floor(distance / (1000 * 60 * 60 * 24));
        const hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
        const minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
        const seconds = Math.floor((distance % (1000 * 60)) / 1000);

        dateDisplay.innerHTML = `Back in : ${days}d ${hours}h ${minutes}m ${seconds}s`;

        if (distance < 0) {
            clearInterval(countdownInterval);
            dateDisplay.innerHTML = 'Countdown completed!';
        }
    }

    const countdownInterval = setInterval(updateLoadingBar, 1000);
    updateLoadingBar(); // Initial call to set the loading bar immediately
});

